Subject: Re: bug#20450: coreutils cannot built with clang

From: Pádraig Brady <[email-masked]>
Date: Tue, 28 Apr 2015 23:24:22 +0100

On 28/04/15 20:38, Yunlian Jiang wrote:
> Hi, 
> 
>    When I try to use clang to build coreutils, I got some thing like
> 
> src/coreutils.c:81:3:   AR       src/libsinglebin_printenv.a
> error: embedding a #include directive within macro arguments is not supported
> # include "coreutils.h"
>   ^
> 
> And I have the following ugly patch to make it work.

I can't reproduce with clang 3.5 on Fedora 22 here,
but yes this will be an issue anywhere printf is a macro.
I'll apply something like this fix in your name.

thanks!
Pádraig.